package domowe.r4.pan_tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class WypiszSlowa {

    public static void main(String[] args) {
        try(Scanner scanner = new Scanner(new File("pliki/pan_tadeusz.txt"))) {
            // scanner.useDelimiter("\\s+"); // domyślna wartość
            scanner.useDelimiter("[^\\p{L}\\d]+"); // za delimiter uważamy każdy ciąg znaków, które nie są ani literą, ani cyfrą
            int ile = 0;
            while(scanner.hasNext()) {
                String slowo = scanner.next();
                System.out.println("[" + slowo + "]");
                ile++;
            }
            
            System.out.println("Liczba słów: " + ile);
        } catch(FileNotFoundException e) {
            e.printStackTrace();
        }
    }

}
