package waluty;

import java.math.BigDecimal;
import java.math.RoundingMode;

public record Waluta(
    String code,
    String currency,
    BigDecimal mid) {

    public BigDecimal przeliczNaZlote(BigDecimal kwota) {
        return kwota.multiply(mid).setScale(2, RoundingMode.HALF_EVEN);
    }
    
    public BigDecimal przeliczNaWalute(BigDecimal kwota) {
        // Już do operacji dzielenia przekazujemy informację o oczekiwanej precyzji i sposobie zaokrąglenia.
        return kwota.divide(mid, 2, RoundingMode.HALF_EVEN);
    }    
    
}
